---
title: "Delete merchant account"
url: "https://docs.signnow.com/docs/request-payments/operations/delete-organizations-org-id-merchantaccount-merchant-account-id"
type: "endpoint"
section: "request-payments"
slug: "request-payments/operations/delete-organizations-org-id-merchantaccount-merchant-account-id"
method: "DELETE"
path: "/organizations/{org_id}/merchantaccount/{merchant_account_id}"
operation_id: "delete-organizations-org-id-merchantaccount-merchant-account-id"
authorization: "bearer"
---

# Delete merchant account

`DELETE /organizations/{org_id}/merchantaccount/{merchant_account_id}`

This endpoint allows API users to delete an organization's merchant account.

For more information, see the [Request payments guide](/docs/request-payments-guide).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |
| `merchant_account_id` | string | Yes | ID of the merchant account to delete. |

## Responses

### 200

Returns successful status in case of successful response.

**Example** (`Successful response`)

```json
{
  "status": "success"
}
```

### 400

* Wrong, expired, or missing token.
* The organization doesn't exist.
* The user isn't an admin of the organization.
* The merchant account doesn't exist in the organization.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 29005001,
      "message": "Organization not found"
    }
  ]
}
```

**Example** (`Not an organization admin`)

```json
{
  "errors": [
    {
      "code": 7,
      "message": "Not allowed"
    }
  ]
}
```

**Example** (`Merchant account not found`)

```json
{
  "errors": [
    {
      "code": 46,
      "message": "Merchant account not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/organizations/{org_id}/merchantaccount/{merchant_account_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/request-payments/operations/delete-organizations-org-id-merchantaccount-merchant-account-id*
